[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.Create

Constructor for the class instance.

## Declaration

Source position: extctrls.pp line 1653

`public constructor TCustomControlBar.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance. Create allocates resources needed to store the bands for the control bar, and calls the inherited constructor. Creates sets the default values for properties, including:

- ControlStyle
- AutoDrag
- AutoDock
- BevelOuter
- BevelInner
- DockSite
- GradientDirection
- GradientStartColor
- GradientEndColor
- RowSize
- RowSnap

Resources are allocated for the Picture property, and its OnChange event handler is set to the PictureChanged method.

Creates set the initial bounds for the class instance using a width of 100 pixels, and a height of 50 pixels.